Subject: bug#751: Update: crash due to fvwm window manager crash

From: Stefan Schippers <[email-masked]>
Date: Sun, 26 Mar 2023 22:04:40 +0200

I have closed upstream bug:
https://gitlab.freedesktop.org/xorg/lib/libx11/-/issues/186
since i got no feedback at all and it seems affecting only the specific
libX11 1.8.4 - fvwm2 combination that very few people use, I think.

The dirty fix for me was to switch from fvwm2 to the developing fvwm3 window manager.

I don't know if the window manager crash is due to a libX11 bug or to library
API misuse by fvwm2. The problem appeared after a recent libX11 update
(1.8.3 -> 1.8.4) while fvwm2 is frozen since long time.

Stefan